# $Revision: 1.3 $, $Date: 2010/08/24 20:29:34 $
Summary:	OpenCORE Framework implementation of Adaptive Multi Rate Narrowband and Wideband speech codec
Summary(pl.UTF-8):	Szkielet OpenCORE kodeków mowy Adaptive Multi Rate Narrowband i Wideband
Name:		opencore-amr
Version:	0.1.2
Release:	2
License:	Apache v2.0
Group:		Libraries
Source0:	http://downloads.sourceforge.net/opencore-amr/%{name}-%{version}.tar.gz
# Source0-md5:	8e8b8b253eb046340ff7b6bf7a6ccd3e
URL:		http://opencore-amr.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library contains an implementation of the 3GPP TS 26.073
specification for the Adaptive Multi Rate (AMR) speech codec and an
implementation for the 3GPP TS 26.173 specification for the Adaptive
Multi-Rate - Wideband (AMR-WB) speech decoder. The implementation is
derived from the OpenCORE framework, part of the Google Android
project.

%description -l pl.UTF-8
Biblioteka ta zawiera implementację specyfikaci 3GPP TS 26.073 kodeka
mowy Adaptive Multi Rate (AMR) oraz implementację specyfikacji 3GPP TS
26.173 dekodera mowy Adaptive Multi-Rate - Wideband (AMR-WB).
Implementacja pochodzi ze szkieletu OpenCORE, części projektu Google
Android.

%package devel
Summary:	Header files for opencore-amr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki opencore-amr
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for opencore-amr library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki opencore-amr.

%package static
Summary:	Static opencore-amr library
Summary(pl.UTF-8):	Statyczna biblioteka opencore-amr
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static opencore-amr library.

%description static -l pl.UTF-8
Statyczna biblioteka opencore-amr.

%prep
%setup -q

rm -f m4/libtool.m4 m4/lt*.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libopencore-amrnb.so.*.*.*
%attr(755,root,root) %{_libdir}/libopencore-amrwb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopencore-amrnb.so.0
%attr(755,root,root) %ghost %{_libdir}/libopencore-amrwb.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopencore-amrnb.so
%attr(755,root,root) %{_libdir}/libopencore-amrwb.so
%{_libdir}/libopencore-amrnb.la
%{_libdir}/libopencore-amrwb.la
%{_includedir}/opencore-amrnb
%{_includedir}/opencore-amrwb
%{_pkgconfigdir}/opencore-amrnb.pc
%{_pkgconfigdir}/opencore-amrwb.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopencore-amrnb.a
%{_libdir}/libopencore-amrwb.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opencore-amr.spec,v $
Revision 1.3  2010/08/24 20:29:34  glen
- release 2

Revision 1.2  2010/08/24 20:26:50  glen
- kill copy of libtool m4 macros (may conflict with system macros)

Revision 1.1  2009/12/07 01:12:36  sparky
- NEW, by Krzysztof Mościcki <stivi@kity.pl>
- added BR: libstdc++-devel
